Bug 1593394 - Quadicons in tagging screens should not be clickable
Summary: Quadicons in tagging screens should not be clickable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Martin Povolny
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui
Depends On:
Blocks: 1595450
TreeView+ depends on / blocked
 
Reported: 2018-06-20 17:37 UTC by lgalis
Modified: 2019-02-11 14:07 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1595450 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:07:09 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description lgalis 2018-06-20 17:37:48 UTC
Description of problem:

Quadicons in tagging screens are clickable

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Open a tagging screen for a VM, Host, etc.
2.
3.

Actual results:
Quadicon for the item(s) being tagged is clickable.

Expected results:
Quadicon for the item(s) being tagged should not be clickable.

Additional info:

Comment 3 CFME Bot 2018-06-22 11:23:02 UTC
New commits detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/ce579d1e966f0d62ccc801f962e81698de069d46
commit ce579d1e966f0d62ccc801f962e81698de069d46
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Jun 21 09:37:12 2018 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Jun 21 09:37:12 2018 -0400

    Make policy assignment, simulation and tagging quads non-clickable

    https://bugzilla.redhat.com/show_bug.cgi?id=1593394

 app/controllers/application_controller/policy_support.rb | 4 +-
 app/controllers/application_controller/tags.rb | 2 +-
 spec/controllers/storage_controller_spec.rb | 28 +-
 spec/controllers/vm_infra_controller_spec.rb | 30 +
 4 files changed, 60 insertions(+), 4 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/3e5a62f59f62c9490da560f75a155ccd24485762
commit 3e5a62f59f62c9490da560f75a155ccd24485762
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Jun 21 09:59:18 2018 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Jun 21 09:59:18 2018 -0400

    Append .no-action on miq-tile-view if there's no URL for clicking

    https://bugzilla.redhat.com/show_bug.cgi?id=1593394

 app/helpers/gtl_helper.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/8e3d156e4a40f4f3decb4185d8b4462148fd66a4
commit 8e3d156e4a40f4f3decb4185d8b4462148fd66a4
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Jun 21 10:00:11 2018 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Jun 21 10:00:11 2018 -0400

    Normal cursor on quads if .no-action is set in the miq-tile-view

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1593394

 app/assets/stylesheets/patternfly_overrides.scss | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Matouš Mojžíš 2018-07-24 10:59:32 UTC
Verified in 5.10.0.4. Quadicons in tagging screens are not clickable.


Note You need to log in before you can comment on or make changes to this bug.